## cairo-dock-plug-ins 3.0.2

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.0.2")

add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion gldi  # 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	if ("${PACKAGEMENT}" STREQUAL "")
		MESSAGE (FATAL_ERROR "Error : version mismatch with the core : " ${VERSION} <> ${dock_version})
	else ()
		MESSAGE (WARNING "Warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
	endif ()
endif()

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

if (NOT "${force-icon-in-menus}" STREQUAL "no")  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0")
#pkg_check_modules ("PACKAGE" REQUIRED "ig")
pkg_check_modules ("GLDI" REQUIRED "gldi")  # we don't want to link with gldi, so we check it separately.
set (PACKAGE_INCLUDE_DIRS "${GLDI_INCLUDE_DIRS}")

add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
set (DBUSMENU_MODULE dbusmenu-glib-0.4)
pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
if (NOT "${DBUSMENU_FOUND}")
	set (DBUSMENU_MODULE dbusmenu-glib)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
endif()

if ("${gtkversion}" STREQUAL "2")
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
else()
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
endif()
pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
if (NOT "${DBUSMENU_GTK_FOUND}")
	if ("${gtkversion}" STREQUAL "2")
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
endif()

if ("${gtkversion}" STREQUAL "2")
	set (INDICATOR_APPLET_MODULE indicator-0.4)
else()
	set (INDICATOR_APPLET_MODULE indicator3-0.4)
endif()
pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	set (INDICATOR_NEW_VERSION 1)  # oneiric and newer
else()
	if ("${gtkversion}" STREQUAL "2")
		set (INDICATOR_APPLET_MODULE indicator)
	else()
		set (INDICATOR_APPLET_MODULE indicator3)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 0)
endif()

if ("${gtkversion}" STREQUAL "2")
	set (IDO_MODULE libido-0.1)
else()
	set (IDO_MODULE libido3-0.1)
endif()
pkg_check_modules (IDO ${IDO_MODULE})

if ("${DBUSMENU_FOUND}" STREQUAL "1" AND "${DBUSMENU_GTK_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if ("${INDICATOR_NEW_VERSION}" STREQUAL "1")  # oneiric and newer
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	else()
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR ${INDICATORICONSDIR})  # la commande rajoute un retour chariot ...
	add_subdirectory (Indicator-applet)
	set (with_indicator "yes")
endif()

if (NOT "${DBUSMENU_FOUND}" STREQUAL "1" OR NOT "${DBUSMENU_GTK_FOUND}" STREQUAL "1" OR NOT "${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	message (WARNING "These modules are required to compile Indicators applet (MeMenu, Messaging-Menu, Sound-Control, Status-Notifier and Global-Menu): ${INDICATOR_APPLET_MODULE}(-0.4), ${IDO_MODULE}, ${DBUSMENU_MODULE}(-0.4), ${DBUSMENU_GTK_MODULE}(-0.4)")
	set (MODULES_MISSING "${MODULES_MISSING} ${INDICATOR_APPLET_MODULE}(-0.4) (${IDO_MODULE}) ${DBUSMENU_MODULE}(-0.4) ${DBUSMENU_GTK_MODULE}(-0.4)")
endif()

############# INDICATOR-NAME #################
message (STATUS "> Indicator Names:")
set (INDICATOR_OLD_NAMES 0)
if ("${force_old_indicator_names}" STREQUAL "yes")
	set (INDICATOR_OLD_NAMES 1)
	message (STATUS "  Indicators: use old Ayatana Dbus names (forced)")
#~ elseif ("${DISTRO_ID}" STREQUAL "Ubuntu")
	#~ STRING (REGEX REPLACE "\\..*" "" DISTRO_RELEASE_MAJOR ${DISTRO_RELEASE})
	#~ # message (STATUS "DISTRO_RELEASE_MAJOR: ${DISTRO_RELEASE_MAJOR}")
	#~ if (${DISTRO_RELEASE_MAJOR} LESS 11)  # from 11.04, new names are used.
		#~ set (INDICATOR_OLD_NAMES 1)
		#~ message (STATUS "  Indicators: use old Ayatana Dbus names")
	#~ endif()
elseif ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	if (NOT (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 3 OR (${INDICATOR_MINOR} EQUAL 3 AND ${INDICATOR_NANO} GREATER 20)))
		set (INDICATOR_OLD_NAMES 1)  # maverick or older

=== debian/changelog ===
cairo-dock-plug-ins (3.0.2-0ubuntu1) quantal; urgency=low

  * New upstream bug-fix release. (LP: #1014804)
  * Upstream ChangeLog (3.0.0 -> 3.0.1):
   - Gnome-integration: fixed the time&date command
   - KDE integration: fixed the time&date command
   - Updated previews of dustbin and logout with the new version
   - Updated the version of applets that can be always visible
      (for the new parameters)
   - Clock: numeric view: increased the size of the rectangle if an
      outline is used and modified the default colour
   - Clock: Now with the possibility to have an outline with the digital view
      to see when we don't use any background
   - Used the core option to not force the display of icons in menus
   - Minor fixes in Sound Control's .conf file
   - MusicPlayer: mpris2: metadata: trackid attribute should be of D-Bus
      type 'o'
   - Switcher: fixed a possible crash (division by 0) if the X manager
      couldn't get info from X + removed bMenuVisible
   - Clock: analogic mode: fixed a bug where the date was not displayed
      correctly (with opengl)
   - Clock: numeric mode: set a minimum size for the text: we keep the
      ratio until 12px (under 12px, it's hard to read)
   - Logout: added a fallback method to get the users list if the accounts
      daemon service is not running
   - CMakeLists.txt: fixed a CMake warning (or error?)
  * Upstream ChangeLog (3.0.1 -> 3.0.2):
   - AlsaMixer: Fix: double-clicking did nothing if we didn't open the menu
      of the applet
   - DND2Share: Pastebin: Their public API is no longer available -> ported
      to the new API
   - GMenu: Fixed a bug that made sub-menus be too small,
      and therefore have to be scrolled + code cleaning
   - Logout: When the menu is reversed (top dock), select the last item so
      that it's the same as the normal menu (ie, the 'shutdown' item)
   - MusicPlayer: Prevented a warning message: when changing song, we don't
      receive this value: Position (no need to display a warning each time)
   - MusicPlayer: Allow recently played files in the menu (Recent-Files)
   - MusicPlayer: Fixed a bug that prevented the player from being launched
      the 2nd time in some cases
   - MusicPlayer: Added raise and quit methods in the menu when the player is
      in the systray (without that it's hard to display the window
   - MusicPlayer: Used toggle buttons for Shuffle and Repeat properties
   - Recent-Events: If the file doesn't exist, don't display it in the
      'Recent Files' menu
   - Recent-Events: Prevent doubles in the menu list
   - Po: Updated translations (added Croatian)
   - Shortcuts: Fixed a small bug with bookmarks (extra new lines were
      disrupting Thunar)
   - Status-Notifier: Added the marshaller for the XAyatanaNewLabel signal
   - Systray (old): Force the icons size to 24px, to avoid buggy programs to
      display their icon with a wrong size
   - Third-party applets: Reposition their right-click menu, so that it's the
      same as a normal menu (on top of the icon and no scroll needed)
  * debian/control:
   - Bumped libgldi-dev version to avoid compilation error
      (cmake check if libgldi has the same version than this package)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 23 Jun 2012 17:32:52 -0400

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs,
		libxxf86vm-dev,
		debhelper (>= 8.1.3),
		cmake,
		libcairo2-dev (>= 1.8.0),
		libgtk-3-dev,
		librsvg2-dev (>= 2.22.0),
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libglib2.0-dev (>= 2.20),
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libgldi-dev (>= 3.0.2),
		libasound2-dev,
		libvte-2.90-dev,
		x11proto-xf86vidmode-dev,
		libgnome-menu-dev,
		libgnutls-dev,
		libwebkitgtk-3.0-dev,
		libxklavier-dev,
		libexif-dev,
		libcurl4-gnutls-dev,
		libetpan-dev,
		libical-dev,
		libindicator3-dev,
		libdbusmenu-gtk3-dev,
		libdbusmenu-glib-dev,
		libido3-0.1-dev,
		libsensors4-dev,
		libzeitgeist-dev,
		python,
		valac,
		ruby,
		cli-common-dev (>= 0.7),
		mono-devel,
		mono-gmcs,
		libglib2.0-cil-dev,
		libndesk-dbus1.0-cil-dev,
		libndesk-dbus-glib1.0-cil-dev,
		libpulse-dev,
		libupower-glib-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 3.0.0.1),
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:	gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 3.0.0.1),
		curl,
		wget,
		${shlibs:Depends},
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends:	cairo-dock-plug-ins-integration (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version})
Suggests:	compiz,
		gnote,
		indicator-messages,
		indicator-sound,
		cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version})
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0),
		cairo-dock-data (<< 3.0.0.1)
Breaks: 	cairo-dock-data (<< 3.0.0.1)
Depends: 	${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		python,
		${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0),
			cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0),
			cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		${shlibs:Depends},
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:	valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		ruby,
		${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		${cli:Depends},
		${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

## cairo-dock-plug-ins 3.0.99.beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "3.0.2")
+set (VERSION "3.0.99.beta1")
 
 add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -132,6 +132,10 @@
 	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
 	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
 	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")
+
+############# SHARED-FILES #################
+set (shared_filesdatadir "${pluginsdatadir}/shared-files")
+add_subdirectory (shared-files)
 
 ############# INDICATOR-APPLET #################
 message (STATUS "> Indicator-Applet:")
@@ -267,5 +271,3 @@
 		#~ message (STATUS "  Indicators: use old Ayatana Dbus names")
 	#~ endif()
 elseif ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
-	if (NOT (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 3 OR (${INDICATOR_MINOR} EQUAL 3 AND ${INDICATOR_NANO} GREATER 20)))
-		set (INDICATOR_OLD_NAMES 1)  # maverick or older

=== Dbus/src/CMakeLists.txt ===

########### sources ###############

SET (cd-Dbus_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-dbus.c 			applet-dbus.h
	interface-main-methods.c 	interface-main-methods.h
	interface-applet-object.c 	interface-applet-object.h
	interface-applet-methods.c 	interface-applet-methods.h
	interface-applet-signals.c 	interface-applet-signals.h
	dbus-applet-spec.h
	dbus-sub-applet-spec.h
	dbus-main-spec.h
	applet-struct.h
)

add_library (${PACKAGE_DBUS} SHARED ${cd-Dbus_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dbusdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="Dbus.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Dbus")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DBUS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DBUS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")
if (${DBUSMENU_GTK_FOUND})
	message (STATUS " * With DBusMenu support")
	add_definitions (-DDBUSMENU_GTK_FOUND=1)
	if (${DBUSMENU_GTK3_NEW})
		add_definitions (-DDBUSMENU_GTK3_NEW=1)
	endif()
endif()

include_directories (
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_DBUS}
	${PACKAGE_LIBRARIES})

########### install files ###############

install (TARGETS ${PACKAGE_DBUS} DESTINATION ${pluginsdir})

=== Messaging-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-messaging.c 			applet-messaging.h
	applet-menu.c 				applet-menu.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MESSAGING_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${messaging_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Messaging-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Messaging-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_MESSAGES_HAS_LOZENGE=${INDICATOR_MESSAGES_HAS_LOZENGE})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MESSAGING_MENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet)
########### install files ###############

install(TARGETS ${PACKAGE_MESSAGING_MENU} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plug-ins (3.0.99.beta1-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Upstream ChangeLog (main changes):
   - Better integration of Unity: support of the Launcher API and better
      support of indicators
   - All configuration windows have been merged into a single one.
   - Added progress bars in several applets and in the Dbus API
   - The Music Player applet can control players in the systray.
   - Icons of the taskbar can be separated from launchers or not
   - And as always ... various bug fixes and improvements :-)
  * Fixed one bug reported on Launchpad:
   - Bookmark name in thunar wrong when shortcut added on plugin (LP: #995634)
  * debian: Used 'wrap-and-sort' tool
  * debian/control:
   - Bump Cairo-Dock version
   - Updated my email address
  * debian/rules:
   - Added Disks, Global-Menu and Doncky applets.
  * debian/cairo-dock-plug-ins.install:
   - Added 'appmenu-registrar' ('Global-Menu' applet)
      and 'cairo-dock-unity-bridge' ('Dbus' applet)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 19 Aug 2012 00:37:51 +0200

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cli-common-dev (>= 0.7),
               cmake,
               debhelper (>= 8.1.3),
               libasound2-dev,
               libcairo2-dev (>= 1.8.0),
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk3-dev,
               libetpan-dev,
               libexif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgldi-dev (>= 3.0.99.beta1),
               libglib2.0-cil-dev,
               libglib2.0-dev (>= 2.20),
               libglu1-mesa-dev | libglu-dev,
               libgnome-menu-dev,
               libgnutls-dev,
               libgtk-3-dev,
               libical-dev,
               libido3-0.1-dev,
               libindicator3-dev,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               libpango1.0-dev,
               libpulse-dev,
               librsvg2-dev (>= 2.22.0),
               libsensors4-dev,
               libupower-glib-dev,
               libvte-2.90-dev,
               libwebkitgtk-3.0-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev,
               libxxf86vm-dev,
               libzeitgeist-dev,
               mono-devel,
               mono-gmcs,
               python,
               ruby,
               valac,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.0.99.beta1),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.0.99.beta1),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         curl,
         python,
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version}),
            cairo-dock-plug-ins-integration (>= ${source:Version})
Suggests: cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
          compiz,
          gnote,
          indicator-messages,
          indicator-sound
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-data (<< 3.0.0.1), cairo-dock-plug-ins (<= 2.0.8.0)
Breaks: cairo-dock-data (<< 3.0.0.1)
Depends: ${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), python, ${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0),
          cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0),
        cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), ruby, ${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

## cairo-dock-plug-ins 3.0.99.beta1.1~20120827~bzr2515

=== CMakeLists.txt ===
--- 
+++ 
@@ -118,10 +118,8 @@
 message (STATUS "=====================")
 message ("")
 
-pkg_check_modules ("PACKAGE" REQUIRED "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0")
-#pkg_check_modules ("PACKAGE" REQUIRED "ig")
-pkg_check_modules ("GLDI" REQUIRED "gldi")  # we don't want to link with gldi, so we check it separately.
-set (PACKAGE_INCLUDE_DIRS "${GLDI_INCLUDE_DIRS}")
+pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we have to link to all libs used by gldi
+STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi
 
 add_definitions (-DGTK_DISABLE_DEPRECATED="1")
 
@@ -136,6 +134,14 @@
 ############# SHARED-FILES #################
 set (shared_filesdatadir "${pluginsdatadir}/shared-files")
 add_subdirectory (shared-files)
+
+############# STATIC LIBRARIES ################
+message (STATUS "> Static Libraries:")
+
+############# GVFS-INTEGRATION ################
+message (STATUS "> GVFS-Integration:")
+pkg_check_modules ("LIBGIO" "gio-2.0")
+add_subdirectory (gvfs-integration) 
 
 ############# INDICATOR-APPLET #################
 message (STATUS "> Indicator-Applet:")
@@ -268,6 +274,3 @@
 	#~ # message (STATUS "DISTRO_RELEASE_MAJOR: ${DISTRO_RELEASE_MAJOR}")
 	#~ if (${DISTRO_RELEASE_MAJOR} LESS 11)  # from 11.04, new names are used.
 		#~ set (INDICATOR_OLD_NAMES 1)
-		#~ message (STATUS "  Indicators: use old Ayatana Dbus names")
-	#~ endif()
-elseif ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")

=== gvfs-integration/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gio-vfs.c				cairo-dock-gio-vfs.h
)

if (${LIBGIO_FOUND})
	add_definitions (-DHAVE_LIBGIO="1")
	add_definitions (-fPIC)
endif()

add_library(gvfs-integration STATIC ${impl_SRCS})

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${LIBGIO_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${LIBGIO_INCLUDE_DIRS})

target_link_libraries (gvfs-integration
	${PACKAGE_LIBRARIES}
	${LIBGIO_LIBRARIES})

########### install files ###############

=== debian/changelog ===
cairo-dock-plug-ins (3.0.99.beta1.1~20120827~bzr2515-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
  * Upstream ChangeLog (detailed changes):
   - Recent-Events: Dialog: no longer added removed files
      + Dialog: Applications: Used the translated name
      + Recent files: added deleted files to the hashtable to prevent
         useless g_file_test
   - ShowDesktop: fixed a typo (about the coloration in the code)
      + checked if Xrandr extension is available before using it
         (LP: #1040271)
   - CMakeLists.txt: linked each plugin to all libs used by gldi except
      gldi (and not only to a few modules)
   - Dbus: cairo-dock-unity-bridge crashed with TypeError in
      on_name_owner_changed(): cannot concatenate 'str' and 'NoneType'
      objects (LP: #1041558)
   - CMakeLists.txt: Checked gio-2.0 for 'gvfs-integration' even if GMenu
      is not compiled
      + Linked gvfs-integration static library to gio-2.0
   - GMenu: fixed a bug that could provoke a crash if the applet is
      deactivating
      + Used gio to launch the menu entries, so that the event is stored
       in Zeitgeist
   - Dbus: the binary was not linked to libdbusmenu
      + checked if we have dbusmenu and dbusmenu-gtk before adding DBusMenu
       support
   - DBus: cairo-dock-unity-bridge: excluded the current process when
      looking if the script has not already been launched
      + converted grep commands to python commands to not launch 4 processes
       just for that
      + Added 'Unity-Bridge' before all 'print'
      + ps command: print only pid + cmd
  * debian/control:
   - Bump Cairo-Dock versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 27 Aug 2012 15:25:03 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libetpan-dev,
                libexif-dev,
                libgl1-mesa-dev | libgl-dev,
-               libgldi-dev (>= 3.0.99.beta1),
+               libgldi-dev (>= 3.0.99.beta1.1~20120827~bzr1193-0ubuntu1),
                libglib2.0-cil-dev,
                libglib2.0-dev (>= 2.20),
                libglu1-mesa-dev | libglu-dev,
@@ -54,7 +54,7 @@
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
 Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.0.99.beta1),
+Depends: cairo-dock-core (>= 3.0.99.beta1.1~20120827~bzr1193-0ubuntu1),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -71,7 +71,7 @@
 Section: graphics
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.0.99.beta1),
+Depends: cairo-dock-core (>= 3.0.99.beta1.1~20120827~bzr1193-0ubuntu1),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          curl,
          python,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable-gnome-integration=yes \
	-Denable-old-gnome-integration=no \
	-Denable-kde-integration=yes \
	-Denable-xfce-integration=yes \
	-Denable-global-menu=yes \
	-Denable-disks=yes \
	-Denable-doncky=yes \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

common-binary-predeb-arch::
	dh_clifixperms
	dh_clideps -d

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack
